using VisionBuilder.UI.IOCommander.Interfaces;
using VisionBuilder.UI.IOCommander.Settings;

namespace VisionBuilder.UI.IOCommander;

public class DefaultIOCommanderFactory: IIOCommanderFactory
{
    private readonly IOCommanderSettings _settings;

    public DefaultIOCommanderFactory(IOCommanderSettings settings)
    {
        _settings = settings;
    }

    public IIOCommander Create()
    {
        return new IOCommander(_settings.Port);
    }
}